#
# spec file for package sed
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           sed
Version:        4.2.1
Release:        0
License:        GPL-3.0+
Summary:        A Stream-Oriented Non-Interactive Text Editor
Url:            http://www.gnu.org/directory/sed.html
Group:          System/Base
Source:         %name-%version.tar.bz2
PreReq:         %install_info_prereq
Provides:       base:/bin/sed
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  automake

%description
Sed takes text input, performs one or more operations on it, and
outputs the modified text. Sed is typically used for extracting parts
of a file using pattern matching or  for substituting multiple
occurrences of a string within a file.

%prep
%setup -q

%build
%define warn_flags -Wall -Wstrict-prototypes -Wpointer-arith -Wformat-security
%{?suse_update_config:%{suse_update_config}}
cp /usr/share/gettext/config.rpath config
autoreconf --force --install
test -f po/Makevars.template && mv po/Makevars.template po/Makevars
export CFLAGS="%{optflags} %warn_flags"
./configure	--prefix=/usr \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--without-included-regex \
		%{_target_cpu}-suse-linux
%if %do_profiling
  make %{?_smp_mflags} CFLAGS="$CFLAGS "%cflags_profile_generate
  make %{?_smp_mflags} check
  make clean
  make %{?_smp_mflags} CFLAGS="$CFLAGS "%cflags_profile_feedback
%else
  make %{?_smp_mflags}
%endif
make %{?_smp_mflags} check

%install
%makeinstall
# Move sed to /bin:
mkdir -p %{buildroot}/bin
mv %{buildroot}%{_bindir}/sed %{buildroot}/bin
ln -s ../../bin/sed %{buildroot}%{_bindir}/sed
%find_lang %name

%files -f %name.lang
%defattr(-, root, root)
/bin/sed
%{_bindir}/sed
%doc AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS
%{_infodir}/sed.info*.gz
%{_mandir}/man*/*.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%name.info.gz

%changelog
